## org.red5.server.stream
Class AbstractClientStream

    java.lang.Object
      org.red5.server.stream.AbstractStream
          org.red5.server.stream.AbstractClientStream

All Implemented Interfaces:
  IClientStream, IStream

Direct Known Subclasses:
  ClientBroadcastStream, PlaylistSubscriberStream

    public abstract class AbstractClientStream

extends AbstractStream
implements IClientStream

Abstract base for client streams

Nested Class Summary

Nested classes/interfaces inherited from class org.red5.server.stream.AbstractStream
`AbstractStream.State`

Field Summary

Fields inherited from class org.red5.server.stream.AbstractStream
`creationTime, metaData, state`

Fields inherited from interface org.red5.server.api.stream.IClientStream
`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

Constructor Summary
`AbstractClientStream()`

Method Summary
`int` `getClientBufferDuration()` Get duration in ms as requested by the client.
`IStreamCapableConnection` `getConnection()` Return connection associated with stream
`int` `getStreamId()` Return stream id
`void` `setClientBufferDuration(int duration)` Set the buffer duration for this stream as requested by the client.
`void` `setConnection(IStreamCapableConnection conn)` Setter for stream capable connection
`void` `setStreamId(int streamId)` Setter for stream id

Methods inherited from class org.red5.server.stream.AbstractStream
`getCodecInfo, getCreationTime, getMetaData, getName, getScope, getStreamAwareHandler, setCodecInfo, setName, setScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start, stop`

Constructor Detail

### AbstractClientStream

    public AbstractClientStream()

Method Detail

### getStreamId

    public int getStreamId()

  Return stream id

  Specified by:
    `getStreamId` in interface `IClientStream`
  Returns:
    Stream id

### getConnection

    public IStreamCapableConnection getConnection()

  Return connection associated with stream

  Specified by:
    `getConnection` in interface `IClientStream`
  Returns:
    Stream capable connection object

### setStreamId

    public void setStreamId(int streamId)

  Setter for stream id

  Parameters:
    `streamId` - Stream id

### setConnection

    public void setConnection(IStreamCapableConnection conn)

  Setter for stream capable connection

  Parameters:
    `conn` - IStreamCapableConnection object

### setClientBufferDuration

    public void setClientBufferDuration(int duration)

  Set the buffer duration for this stream as requested by the client.

  Specified by:
    `setClientBufferDuration` in interface `IClientStream`
  Parameters:
    `duration` - duration in ms the client wants to buffer

### getClientBufferDuration

    public int getClientBufferDuration()

  Get duration in ms as requested by the client.

  Specified by:
    `getClientBufferDuration` in interface `IClientStream`
  Returns:
    value

Copyright © 2006-2010 The Red5 Project